> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Elencare membri gruppo

> Elencare membri del gruppo di autenticazione account

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts/{account_id}/auth/groups/{group_id}/members
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/groups/{group_id}/members:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: Elencare membri del gruppo di autenticazione account
      description: Elenca i membri diretti di un gruppo collegato all’account nel percorso.
      operationId: >-
        list_public_account_auth_group_members_v1_public_accounts__account_id__auth_groups__group_id__members_get
      parameters:
        - in: path
          name: group_id
          required: true
          schema:
            title: Group Id
            type: string
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupMembersPageResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di convalida
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupMembersPageResponse:
      properties:
        account_id:
          format: uuid
          title: account ID
          type: string
        group_id:
          title: gruppo ID
          type: string
        groups:
          items:
            $ref: '#/components/schemas/GroupResponse'
          title: Gruppi
          type: array
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: collegati ambiti
          type: array
        members:
          items:
            $ref: '#/components/schemas/GroupMemberResponse'
          title: membri
          type: array
        page:
          title: pagina
          type: integer
        page_size:
          title: pagina dimensione
          type: integer
        search:
          anyOf:
            - type: string
            - type: 'null'
          title: ricerca
        total:
          title: totale
          type: integer
        users:
          items:
            $ref: '#/components/schemas/GroupMemberUserResponse'
          title: utenti
          type: array
      required:
        - group_id
        - account_id
        - page
        - page_size
        - total
      title: GroupMembersPageResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    GroupResponse:
      properties:
        account_id:
          format: uuid
          title: account ID
          type: string
        attributes:
          additionalProperties:
            items:
              type: string
            type: array
          title: attributi
          type: object
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: descrizione
        id:
          title: ID
          type: string
        keycloak_account_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Keycloak account ID
        keycloak_name:
          title: Keycloak nome
          type: string
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: collegati ambiti
          type: array
        name:
          title: nome
          type: string
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: padre ID
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: percorso
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        subgroup_ids:
          items:
            type: string
          title: sottogruppo ID
          type: array
      required:
        - id
        - account_id
        - name
        - keycloak_name
      title: GroupResponse
      type: object
    GroupScopeLinkResponse:
      description: Schema per un ambito di risorsa collegato a un gruppo.
      properties:
        resource_id:
          format: uuid
          title: risorsa ID
          type: string
        resource_type:
          title: risorsa tipo
          type: string
      required:
        - resource_type
        - resource_id
      title: GroupScopeLinkResponse
      type: object
    GroupMemberResponse:
      description: Ingresso diretto di un singolo membro del gruppo.
      properties:
        group:
          anyOf:
            - $ref: '#/components/schemas/GroupResponse'
            - type: 'null'
        resolved:
          title: risolto
          type: boolean
        subject_id:
          title: soggetto ID
          type: string
        subject_type:
          title: soggetto tipo
          type: string
        user:
          anyOf:
            - $ref: '#/components/schemas/GroupMemberUserResponse'
            - type: 'null'
      required:
        - subject_type
        - subject_id
        - resolved
      title: GroupMemberResponse
      type: object
    GroupMemberUserResponse:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: E-mail
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: nome nome
        id:
          title: ID
          type: string
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: cognome nome
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: nome utente
      required:
        - id
      title: GroupMemberUserResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    PermissionInspectabilitySnapshot:
      description: >-
        Snapshot di ispezionabilità condivisa per la gestione di utenti, gruppi
        e inviti.
      properties:
        assigned_bundle_keys:
          items:
            type: string
          title: Chiavi bundle assegnate
          type: array
        direct_capability_keys:
          items:
            type: string
          title: Direct capacità Keys
          type: array
        owner_assignments:
          items:
            $ref: '#/components/schemas/OwnerAssignmentSnapshot'
          title: proprietario assegnazioni
          type: array
        resolved_capability_keys:
          items:
            type: string
          title: risolto capacità Keys
          type: array
        status:
          default: active
          title: Stato
          type: string
        subject_id:
          default: ''
          title: soggetto ID
          type: string
        subject_type:
          default: unknown
          title: soggetto tipo
          type: string
      title: PermissionInspectabilitySnapshot
      type: object
    OwnerAssignmentSnapshot:
      description: Schema che indica una relazione del proprietario dell'account.
      properties:
        account_id:
          format: uuid
          title: account ID
          type: string
      required:
        - account_id
      title: OwnerAssignmentSnapshot
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````